%define pkg_name        Mail-Classifier
%define pkg_version     0.13
%define rpm_pkg_version 0.13
%define rpm_pkg_release 2.n0i.2

Summary:       Perl extension for probabilistic mail classification
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Entities) >= 1.27
BuildRequires: perl(HTML::Strip) >= 1.01
BuildRequires: perl(MLDBM)
BuildRequires: perl(MLDBM::Sync)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Mail::Box)
BuildRequires: perl(Mail::Box::Manager)
BuildRequires: perl(Statistics::Distributions) >= 1.02
BuildRequires: perl(Storable)


%description
Mail::Classifier is an abstract base class for mail classification. As such
provides capabilities for defining working data tables (which may be stored
in memory or on disk) that will persist across saves/restores. It also
provides the message handling capabilities necessary to process mailboxes
and conduct statistical validation.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
# pod/coverage fails
%{__mv} t/0.t t/0.t.skip


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.13-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
